singleton Material(etkc_glass_shooting_brake_firepower)
{
    mapTo = "etkc_glass_shooting_brake_firepower";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etkc/firepower/etkc_glass_shooting_brake_firepower_d.dds";
    opacityMap[0] = "vehicles/etkc/firepower/etkc_glass_shooting_brake_firepower_d.dds";
    diffuseMap[1] = "vehicles/etkc/firepower/etkc_glass_shooting_brake_firepower_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etkc_glass_firepower_dmg)
{
    mapTo = "etkc_glass_firepower_dmg";
    diffuseMap[0] = "vehicles/etkc/firepower/etkc_glass_shooting_brake_firepower_dmg_d.dds";
    opacityMap[0] = "vehicles/etkc/firepower/etkc_glass_shooting_brake_firepower_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/etkc/firepower/etkc_glass_shooting_brake_firepower_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etkc_glass_firepower_int)
{
    mapTo = "etkc_glass_firepower_int";
    diffuseMap[0] = "vehicles/etkc/firepower/etkc_glass_shooting_brake_firepower_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_firepower)
{
   mapTo = "etk800_firepower";
    diffuseMap[2] = "vehicles/etk800/etk800_c.dds";
    specularMap[2] = "vehicles/etk800/etk800_s.dds";
    normalMap[2] = "vehicles/etk800/etk800_n.dds";
    diffuseMap[1] = "vehicles/etk800/etk800_d.dds";
    specularMap[1] = "vehicles/etk800/etk800_s.dds";
    normalMap[1] = "vehicles/etk800/etk800_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/etk800/etk800_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fuzzy_dice_firepower)
{
   mapTo = "fuzzy_dice_firepower";
    diffuseMap[0] = "vehicles/etkc/firepower/dice_texture_firepower_d.dds";
    diffuseColor[0] = "1 1 1 1";
	normalMap[0] = "vehicles/common/wheels/dice_texture_firepower_n.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(oz_sl_fp)
{
   mapTo = "oz_sl_fp";
    diffuseMap[1] = "vehicles/common/wheels/superleggera_fp/oz_sl_fp_d.dds";
    specularMap[1] = "vehicles/common/wheels/superleggera_fp/oz_sl_fp_s.dds";
    normalMap[1] = "vehicles/common/wheels/superleggera_fp/oz_sl_fp_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/wheels/superleggera_fp/oz_sl_fp_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(etk_wheel_01_firepower)
{
    mapTo = "etk_wheel_01ab";
    diffuseMap[1] = "vehicles/common/wheels/etk_wheel_01a_d.dds";
    specularMap[1] = "vehicles/common/wheels/etk_wheel_01a_s.dds";
    normalMap[1] = "vehicles/common/wheels/addonwheels/etk_wheel_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/wheels/addonwheels/etk_wheel_01a_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(etk_wheel_08ab_firepower)
{
    mapTo = "etk_wheel_08ab_firepower";
    diffuseMap[1] = "vehicles/common/wheels/addonwheels/etk_wheel_08ab_firepower_d.dds";
    specularMap[1] = "vehicles/common/wheels/etk_wheel_08a_s.dds";
    normalMap[1] = "vehicles/common/wheels/etk_wheel_08a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/wheels/etk_wheel_08a_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(etk_wheel_06b_firepower)
{
    mapTo = "etk_wheel_06b_firepower";
	diffuseMap[2] = "vehicles/common/wheels/addonwheels/etk_wheel_06b_firepower_c.dds";
    specularMap[2] = "vehicles/common/wheels/etk_wheel_06a_s.dds";
    normalMap[2] = "vehicles/common/wheels/etk_wheel_06a_n.dds";
    diffuseMap[1] = "vehicles/common/wheels/addonwheels/etk_wheel_06b_firepower_d.dds";
    specularMap[1] = "vehicles/common/wheels/etk_wheel_06a_s.dds";
    normalMap[1] = "vehicles/common/wheels/etk_wheel_06a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/wheels/etk_wheel_06a_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk_wheel_06c_firepower)
{
    mapTo = "etk_wheel_06c_firepower";
	colorPaletteMap[2] = "vehicles/common/wheels/addonwheels/etk_wheel_06c_firepower_palette_uv1.dds";
	overlayMap[2] = "vehicles/common/wheels/addonwheels/etk_wheel_06c_firepower_skin.dds";
	diffuseMap[2] = "vehicles/common/wheels/addonwheels/etk_wheel_06c_firepower_c.dds";
    specularMap[2] = "vehicles/common/wheels/etk_wheel_06a_s.dds";
    normalMap[2] = "vehicles/common/wheels/etk_wheel_06a_n.dds";
    diffuseMap[1] = "vehicles/common/wheels/addonwheels/etk_wheel_06c_firepower_d.dds";
    specularMap[1] = "vehicles/common/wheels/etk_wheel_06a_s.dds";
    normalMap[1] = "vehicles/common/wheels/etk_wheel_06a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/wheels/etk_wheel_06a_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etkc_b_firepower)
{
   mapTo = "etkc_b_firepower";
    diffuseMap[2] = "vehicles/etkc/etkc_c.dds";
    specularMap[2] = "vehicles/etkc/etkc_s.dds";
    normalMap[2] = "vehicles/etkc/etkc_n.dds";
    diffuseMap[1] = "vehicles/etkc/firepower/etkc_d.dds";
    specularMap[1] = "vehicles/etkc/etkc_s.dds";
    normalMap[1] = "vehicles/etkc/etkc_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/etkc/etkc_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etkc_lettering_firepower)
{
    mapTo = "etkc_lettering_firepower";
    specularMap[0] = "vehicles/etkc/firepower/etkc_lettering_firepower_s.dds";
    normalMap[0] = "vehicles/etkc/firepower/etkc_lettering_firepower_n.dds";
    diffuseMap[0] = "vehicles/etkc/firepower/etkc_lettering_firepower_d.dds";
    reflectivityMap[0] = "vehicles/etkc/firepower/etkc_lettering_firepower_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(etkc_gauges_screen_firepower)
{
    mapTo = "etkc_gauges_screen_firepower";
    diffuseMap[0] = "@etkc_gauges_screen";
    opacityMap[0] = "vehicles/etkc/firepower/etk800_gauges_screen.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};